Package com.tietoenator.trip.jxp.session

# Class TdbTripNetSession

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider
com.tietoenator.trip.jxp.session.TdbSession
com.tietoenator.trip.jxp.session.TdbTripNetSession

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`

public class TdbTripNetSession extends TdbSession
Constructs a session connection via TRIPnet to a remote TRIPserver

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbTripNetSession(String server, int port)`
  Constructor
  `TdbTripNetSession(String server, int port, boolean encrypt)`
  Constructor
  `TdbTripNetSession(String server, int port, String inifile, int timeout)`
  Constructor
  `TdbTripNetSession(String server, int port, String inifile, int timeout, boolean encrypt)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getServerName()`
  The name of the TRIP server that the session is connected to.

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSession

  `authenticate, dateforms, enableLogging, enableNotification, enableNotification, fieldTypes, getActivityLog, getApiKeyMode, getBackgroundTaskSink, getBuildNumber, getCharacterSet, getCharacterSetName, getControlCache, getCurrentDateform, getDateform, getDefaultQueueName, getDefinedViews, getFieldType, getFieldType, getJobResultSink, getNotificationSink, getPid, getRevisionNumber, getServerApiLog, getServerXpiLog, getSessionId, getSessionType, getSubsystemID, getSubsystemName, getUsername, getVersion, hasLogCheckpoint, isApiLogEnabled, isConnected, isFileManager, isLicensedFor, isLoggedIn, isSystemManager, isTicketsEnabled, isTokensEnabled, isUserManager, isWorking, isXpiLogEnabled, licensedProducts, login, login, logout, logout, pollJobResults, refreshAccessToken, requestAccessToken, requestLoginTicket, revokeLoginTicket, revokeToken, revokeTokens, setActivityLog, setBackgroundTaskSink, setJobResultSink, setLogCheckpoint, setNotificationSink, subsystemNames, supportsFeature, validate, writeActivityLog`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvider

  `codeList, getLastCode, getLastMessage, hasMessages, messageList, resetMessages`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TdbTripNetSession

    public TdbTripNetSession(String server, int port) throws TdbException
    Constructor
    Parameters:
      `server` - Server name (or IP address) to connect to
      `port` - Port# on the server
    Throws:
      `TdbException`

  - ### TdbTripNetSession

    public TdbTripNetSession(String server, int port, boolean encrypt) throws TdbException
    Constructor
    Parameters:
      `server` - Server name (or IP address) to connect to
      `port` - Port# on the server
      `encrypt` - True to encrypt this session (requires TRIPsystem 7.0 or later)
    Throws:
      `TdbException`

  - ### TdbTripNetSession

    public TdbTripNetSession(String server, int port, String inifile, int timeout) throws TdbException
    Constructor
    Parameters:
      `server` - Server name (or IP address) to connect to
      `port` - Port# on the server
      `inifile` - Host initialization file to execute (or null if not required)
      `timeout` - Timeout in milliseconds
    Throws:
      `TdbException`

  - ### TdbTripNetSession

    public TdbTripNetSession(String server, int port, String inifile, int timeout, boolean encrypt) throws TdbException
    Constructor
    Parameters:
      `server` - Server name (or IP address) to connect to
      `port` - Port# on the server
      `inifile` - Host initialization file to execute (or null if not required)
      `timeout` - Timeout in milliseconds
      `encrypt` - True to encrypt this session (requires TRIPsystem 7.0 or later)
    Throws:
      `TdbException`

- ## Method Details

  - ### getServerName

    public String getServerName()
    The name of the TRIP server that the session is connected to.
    Overrides:
      `getServerName` in class `TdbSession`